Subject: Re: [netmod] WG Last Call: draft-ietf-netmod-intf-ext-yang-07

From: Qin Wu <[email-masked]>
Date: Wed, 6 Nov 2019 01:02:53 +0000

-----邮件原件-----
发件人: Mahesh Jethanandani [mailto:[email-masked]] 
发送时间: 2019年11月6日 8:57
收件人: Qin Wu <[email-masked]>
抄送: Robert Wilton <[email-masked]>; Kent Watsen <[email-masked]>; [email-masked]
主题: Re: [netmod] WG Last Call: draft-ietf-netmod-intf-ext-yang-07

Hi Qin,

> On Nov 5, 2019, at 4:35 PM, Qin Wu <[email-masked]> wrote:
> 
> 2. Suggest to add a
>> paragraph in the section 5 to explain which common type or type in 
>> specific module is imported
> [RW]
> 
> Please can you clarify this comment, because I'm not sure what you are 
> requesting here.  I've left an open issue to track this:  
> https://github.com/netmod-wg/interface-extensions-yang/issues/21
> 
> [Qin]: See 1st paragraph, section 4 of RFC8344 as an example.

[mj] You mean to say that the draft should specify which RFCs the module imports typedefs from, and which RFCs it references in the model somewhere in the draft. For example, it imports ietf-yang-types and therefore should refer to RFC 6991 somewhere in the draft (but outside the model). Right?

[Qin]:That's correct.
> 
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

Mahesh Jethanandani
[email-masked]

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Wed, 6 Nov 2019 11:28:05 +0000

Hi Qin,

> -----Original Message-----
> From: Qin Wu <[email-masked]>
> Sent: 06 November 2019 01:03
> To: Mahesh Jethanandani <[email-masked]>
> Cc: Rob Wilton (rwilton) <[email-masked]>; Kent Watsen
> <[email-masked]>; [email-masked]
> Subject: RE: [netmod] WG Last Call: draft-ietf-netmod-intf-ext-yang-07
> 
> -----邮件原件-----
> [mj] You mean to say that the draft should specify which RFCs the module
> imports typedefs from, and which RFCs it references in the model somewhere
> in the draft. For example, it imports ietf-yang-types and therefore should
> refer to RFC 6991 somewhere in the draft (but outside the model). Right?
> 
> [Qin]:That's correct.
[RW]
I'm happy to list the RFCs that the modules depend on/references, which presumably also helps keeps the tooling happy about the RFC references.

But I'm not convinced that categorising them as typedef dependencies is really helpful in the RFC text.  If this information is important then I would suggest that it should be annotated in the YANG (I've previously raised this as a potential issue on the YANG Next issue tracker: https://github.com/netmod-wg/yang-next/issues/95).

Perhaps adding the following text is enough:

Proposed/updated:

4.  Interface Extensions YANG Module

   This YANG module augments the interface container defined in
   [RFC8343].  It also contains references to [RFC6991] and [RFC7224].

...

Proposed/updated:

5.  Interfaces Ethernet-Like YANG Module

   This YANG module augments the interface container defined in RFC 8343
   [RFC8343] for Ethernet-like interfaces.  This includes Ethernet
   interfaces, 802.3 LAG (802.1AX) interfaces, Switch Virtual
   interfaces, and Pseudo-Wire Head-End interfaces.  It also contains
   references to [RFC6991], [RFC7224], and [IEEE802.3.2-2019].

...

Thanks,
Rob